import asyncio
from subprocess import call
from sys import executable

from v6d0auth import certs
from v6d0auth.client import *


async def main():
    print(certs.vkey.encode().hex())
    print((await request_signature()).hex())
    call([executable, '-m', 'v6d0auth.remove-role', certs.vkey.encode().hex(), 'test'])
    print(await has_role(certs.vkey, 'test'))
    print(await request_role('test'))
    print(await has_role(certs.vkey, 'test'))


if __name__ == '__main__':
    asyncio.run(main())
