import asyncio

from v6d0auth.app import *
from v6d0auth.cdb import *
from v6d0auth.run_app import *


async def main():
    cdb = CDB(asyncio.get_running_loop())
    async with cdb.rdb:
        await run_app(V6D0AuthAppFactory(cdb).app())


if __name__ == '__main__':
    try:
        asyncio.run(main())
    except KeyboardInterrupt:
        pass
